{% extends 'base.html.twig' %}

{% block stylesheets %}
{{ encore_entry_link_tags('dialog') }}
{% endblock %}

{% block javascripts %}
{{ encore_entry_script_tags('dialog') }}
{% endblock %}

{% block body %}
    <section class="min-vh-100 bg-primary">
        <div class="container py-5 h-100">
            <div class="row d-flex justify-content-center align-items-center h-100">
                <div class="col-12 col-md-8 col-lg-6 col-xl-5">
                    <div class="card shadow-2-strong rounded-3">
                        <div class="card-body p-5 text-start {% block dialog_border %}{% endblock %}">
                            <div class="mb-4 text-end">
                                <span class="bg-secondary p-2 rounded-3 bg-opacity-25">
                                    {% include 'languages.html.twig' %}
                                </span>
                            </div>

                            <div class="text-center my-5">
                                <span class="craynic-logo"></span>
                            </div>

                            {% block dialog_title %}{% endblock %}

                            {% include 'flashes.html.twig' %}

                            {% block dialog_body %}{% endblock %}
                        </div>
                    </div>

                    {% include 'tip-2fa.html.twig' %}
                </div>
            </div>
        </div>
    </section>
{% endblock %}
